<?php

class TerminationFile extends mfBaseModel {
  private $file;
  private $termination;
  private $creator;
  private $editor;
  
  public function getProperty($name) {
    if($this->$name == null) {
      
      if(!$this->id) {
        return null;
      }
      
      if($name == "creator") {
        $this->creator = new User($this->create_by);
        return $this->creator;
      }
      
      if($name == "editor") {
        $this->editor = new User($this->edit_by);
        return $this->editor;
      }
      
      $classname = ucfirst($name);
      $idfield = $name."_id";
      $this->$name = new $classname($this->$idfield);
      
      if($this->$name->id) {
        return $this->$name;
      } else {
        return null;
      }
    }
    
    return $this->$name;
  }

}